Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# registry.hh File Reference

An AtkRegistry C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <atk/atkregistry.h>`
`#include <xfc/atk/inline/registry.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Atk

## Classes

- class Xfc::Atk::Registry
    An AtkRegistry C++ wrapper class. More...

## Detailed Description

An AtkRegistry C++ wrapper interface.

Provides Registry, an object used to store the GType of the factories used to create an accessible object for an object of a particular GType.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3